Subject: Re: [RFC] [PATCH] vmemmap fixes to use smaller pages

From: Geoff Levand <[email-masked]>
Date: Fri, 2 May 2008 15:21:45 -0700

Benjamin Herrenschmidt wrote:
> On Thu, 2008-05-01 at 14:46 -0700, Geoff Levand wrote:
>> 
>> It doesn't seem to cause problems on PS3, and I added it into
>> ps3-linux.git
>> as other/powerpc-vmemmap-variable-page-size.diff, but I couldn't get
>> it to
>> fail without the patch...
>>  
>> Could you send me your kernel .config?
> 
> ps3_defconfig with added vmmemap (which is disabled by default).

Well, it seems that it wasn't that I couldn't get it to fail, but
that it always fails.  add_memory() doesn't work anymore, with or
without vmmemap.

I'll look at it more next week.

-Geoff